## r-cran-timereg 1.9.4

=== DESCRIPTION ===
Package: timereg
Title: Flexible Regression Models for Survival Data
Version: 1.9.4
Date: 2019-07-29
Author: Thomas Scheike with contributions from Torben Martinussen, Jeremy
    Silver and Klaus Holst
Maintainer: Thomas Scheike <ts@biostat.ku.dk>
Description: Programs for Martinussen and Scheike (2006), `Dynamic Regression
    Models for Survival Data', Springer Verlag.  Plus more recent developments.
    Additive survival model, semiparametric proportional odds model, fast
    cumulative residuals, excess risk models and more. Flexible competing risks
    regression including GOF-tests. Two-stage frailty modelling. PLS for the
    additive risk model. Lasso in the 'ahaz' package.
LazyLoad: yes
URL: https://github.com/scheike/timereg.git
Depends: R (>= 2.15), survival
Imports: lava, numDeriv, stats, graphics, grDevices, utils, methods
Suggests: mets,
License: GPL (>= 2)
RoxygenNote: 6.1.1
NeedsCompilation: yes
Packaged: 2019-07-30 09:30:05 UTC; bhd252
Repository: CRAN
Date/Publication: 2019-07-30 10:50:02 UTC

=== debian/changelog ===
r-cran-timereg (1.9.4-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Trim trailing whitespace.
  * Set upstream metadata fields: Contact, Name.

 -- Andreas Tille <tille@debian.org>  Fri, 02 Aug 2019 11:38:39 +0200

r-cran-timereg (1.9.3-1) unstable; urgency=medium

  * Initial release (closes: #932164)

 -- Andreas Tille <tille@debian.org>  Tue, 16 Jul 2019 09:47:26 +0200

=== debian/control ===
Source: r-cran-timereg
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-survival,
               r-cran-lava,
               r-cran-numderiv
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-timereg
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-timereg.git
Homepage: https://cran.r-project.org/package=timereg

Package: r-cran-timereg
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R flexible regression models for survival data
 Programs for Martinussen and Scheike (2006), `Dynamic Regression
 Models for Survival Data', Springer Verlag.  Plus more recent developments.
 Additive survival model, semiparametric proportional odds model, fast
 cumulative residuals, excess risk models and more. Flexible competing risks
 regression including GOF-tests. Two-stage frailty modelling. PLS for the
 additive risk model. Lasso in the 'ahaz' package.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/timereg_([-\d.]*)\.tar\.gz

## r-cran-timereg 1.9.5

=== debian/changelog ===
r-cran-timereg (1.9.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 05 Jun 2020 09:32:03 +0200

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,11 @@
                r-cran-survival,
                r-cran-lava,
                r-cran-numderiv
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-timereg
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-timereg.git
 Homepage: https://cran.r-project.org/package=timereg
+Rules-Requires-Root: no
 
 Package: r-cran-timereg
 Architecture: any

## r-cran-timereg 1.9.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: timereg
 Title: Flexible Regression Models for Survival Data
-Version: 1.9.4
-Date: 2019-07-29
+Version: 1.9.8
+Date: 2020-09-21
 Author: Thomas Scheike with contributions from Torben Martinussen, Jeremy
     Silver and Klaus Holst
 Maintainer: Thomas Scheike <ts@biostat.ku.dk>
@@ -12,13 +12,14 @@
     regression including GOF-tests. Two-stage frailty modelling. PLS for the
     additive risk model. Lasso in the 'ahaz' package.
 LazyLoad: yes
-URL: https://github.com/scheike/timereg.git
+URL: https://github.com/scheike/timereg
 Depends: R (>= 2.15), survival
 Imports: lava, numDeriv, stats, graphics, grDevices, utils, methods
 Suggests: mets,
 License: GPL (>= 2)
-RoxygenNote: 6.1.1
+Encoding: UTF-8
+RoxygenNote: 7.1.0
 NeedsCompilation: yes
-Packaged: 2019-07-30 09:30:05 UTC; bhd252
+Packaged: 2020-09-21 06:40:29 UTC; bhd252
 Repository: CRAN
-Date/Publication: 2019-07-30 10:50:02 UTC
+Date/Publication: 2020-10-05 09:50:02 UTC

=== debian/changelog ===
r-cran-timereg (1.9.8-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 07 Oct 2020 11:42:39 +0200

r-cran-timereg (1.9.7-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Tue, 08 Sep 2020 14:31:42 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-survival,

## r-cran-timereg 2.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: timereg
 Title: Flexible Regression Models for Survival Data
-Version: 1.9.8
-Date: 2020-09-21
+Version: 2.0.1
+Date: 2021-10-06
 Author: Thomas Scheike with contributions from Torben Martinussen, Jeremy
     Silver and Klaus Holst
 Maintainer: Thomas Scheike <ts@biostat.ku.dk>
@@ -18,8 +18,8 @@
 Suggests: mets,
 License: GPL (>= 2)
 Encoding: UTF-8
-RoxygenNote: 7.1.0
+RoxygenNote: 7.1.1
 NeedsCompilation: yes
-Packaged: 2020-09-21 06:40:29 UTC; bhd252
+Packaged: 2021-10-06 11:58:47 UTC; tom
 Repository: CRAN
-Date/Publication: 2020-10-05 09:50:02 UTC
+Date/Publication: 2021-10-13 12:50:02 UTC

=== debian/changelog ===
r-cran-timereg (2.0.1-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * Disable reprotest

  [ Nilesh Patra ]
  * Standards-Version: 4.6.0 (routine-update)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 18 Oct 2021 23:18:34 +0530

r-cran-timereg (2.0.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 17 Aug 2021 07:23:28 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-cran-survival,
                r-cran-lava,
                r-cran-numderiv
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-timereg
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-timereg.git
 Homepage: https://cran.r-project.org/package=timereg

## r-cran-timereg 2.0.2

=== debian/changelog ===
r-cran-timereg (2.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.0.2
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 17 May 2022 15:16:35 +0530

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-cran-survival,
                r-cran-lava,
                r-cran-numderiv
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-timereg
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-timereg.git
 Homepage: https://cran.r-project.org/package=timereg

## r-cran-timereg 2.0.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: timereg
 Title: Flexible Regression Models for Survival Data
-Version: 2.0.1
-Date: 2021-10-06
+Version: 2.0.5
+Date: 2023-01-17
 Author: Thomas Scheike with contributions from Torben Martinussen, Jeremy
     Silver and Klaus Holst
 Maintainer: Thomas Scheike <ts@biostat.ku.dk>
@@ -18,8 +18,8 @@
 Suggests: mets,
 License: GPL (>= 2)
 Encoding: UTF-8
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.3
 NeedsCompilation: yes
-Packaged: 2021-10-06 11:58:47 UTC; tom
+Packaged: 2023-01-16 10:52:45 UTC; tom
 Repository: CRAN
-Date/Publication: 2021-10-13 12:50:02 UTC
+Date/Publication: 2023-01-17 10:00:02 UTC

=== debian/changelog ===
r-cran-timereg (2.0.5-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 21 Jan 2023 17:19:32 +0100

r-cran-timereg (2.0.4-1) unstable; urgency=medium

  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 15 Nov 2022 19:42:40 +0100

r-cran-timereg (2.0.3-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 2.0.3

 -- Nilesh Patra <nilesh@debian.org>  Sat, 29 Oct 2022 22:50:19 +0530

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: r-cran-timereg
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-timereg
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-timereg.git
+Homepage: https://cran.r-project.org/package=timereg
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-survival,
                r-cran-lava,
                r-cran-numderiv
-Standards-Version: 4.6.1
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-timereg
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-timereg.git
-Homepage: https://cran.r-project.org/package=timereg
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-timereg
 Architecture: any

## r-cran-timereg 2.0.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Package: timereg
 Title: Flexible Regression Models for Survival Data
-Version: 2.0.5
-Date: 2023-01-17
-Author: Thomas Scheike with contributions from Torben Martinussen, Jeremy
-    Silver and Klaus Holst
-Maintainer: Thomas Scheike <ts@biostat.ku.dk>
+Version: 2.0.6
+Date: 2024-08-29
+Authors@R: c( person("Thomas", "Scheike", role=c("aut", "cre"),email="ts@biostat.ku.dk"),
+             person("Torben","Martinussen", role=c("aut")), 
+	     person("Jeremy", "Silver", role=c("ctb")),
+             person("Klaus K.", "Holst", role=c("ctb")))
 Description: Programs for Martinussen and Scheike (2006), `Dynamic Regression
     Models for Survival Data', Springer Verlag.  Plus more recent developments.
     Additive survival model, semiparametric proportional odds model, fast
@@ -18,8 +19,13 @@
 Suggests: mets,
 License: GPL (>= 2)
 Encoding: UTF-8
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 NeedsCompilation: yes
-Packaged: 2023-01-16 10:52:45 UTC; tom
+Packaged: 2024-09-06 09:27:16 UTC; tom
+Author: Thomas Scheike [aut, cre],
+  Torben Martinussen [aut],
+  Jeremy Silver [ctb],
+  Klaus K. Holst [ctb]
+Maintainer: Thomas Scheike <ts@biostat.ku.dk>
 Repository: CRAN
-Date/Publication: 2023-01-17 10:00:02 UTC
+Date/Publication: 2024-09-06 16:00:02 UTC

=== debian/changelog ===
r-cran-timereg (2.0.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 28 Jan 2025 08:52:32 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-timereg
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-timereg.git
 Homepage: https://cran.r-project.org/package=timereg
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-timereg 2.0.7

=== debian/changelog ===
r-cran-timereg (2.0.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 08 Jan 2026 14:27:15 +0900

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: r-cran-timereg
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-timereg
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-timereg.git
-Homepage: https://cran.r-project.org/package=timereg
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-survival,
                r-cran-lava,
-               r-cran-numderiv
-Testsuite: autopkgtest-pkg-r
+               r-cran-numderiv,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-timereg
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-timereg.git
+Homepage: https://cran.r-project.org/package=timereg
+Rules-Requires-Root: no
 
 Package: r-cran-timereg
 Architecture: any
